%define upstream_name    XML-Compile-SOAP
%define upstream_version 3.28
# XML::Compile::SOAP::Daemon was split out as a separate package and shouldnt be required:
# https://rt.cpan.org/Public/Bug/Display.html?id=95507
%define _requires_exceptions perl(XML::Compile::SOAP::Daemon)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Exchange XML-SOAP via HTTP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(LWP) >= 6.80.0
BuildRequires: perl(LWP::Protocol::https) >= 6.0.0
BuildRequires: perl(Log::Report) >= 1.50.0
BuildRequires: perl(Net::HTTP) >= 6.160.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Compile) >= 1.580.0
BuildRequires: perl(XML::Compile::Cache) >= 1.30.0
BuildRequires: perl(XML::Compile::Tester) >= 0.900.0
BuildArch:  noarch

%description
The SOAP Message Transmission Optimization Mechanism (MTOM) is designed for
SOAP1.2, but also usable for SOAP1.1. It optimizes the transport of binary
information (like images) which are part of the XML message: in stead of
base64 encoding them adding 25% to the size of the data, these binaries are
added as pure binary attachment to the SOAP message.

In the official specification, the XML message will be created first with
the base64 representation of the data in it. Only at transmission, a
preprocessor XOP (XML-binary Optimized Packaging) extracts those components
to be send separately. In Perl, we have to be more careful about
performance. Therefore, the path via encoding to base64 and then decoding
it back to binary in the sender (and the reverse process for the receiver)
is avoided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/XML::Compile::SOAP::Daemon.*$//g' META.yml META.json

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Aug 03 2022 tv <tv> 3.280.0-1.mga9
+ Revision: 1874924
- update to 3.28

* Tue Mar 29 2022 umeabot <umeabot> 3.270.0-2.mga9
+ Revision: 1831191
- Mageia 9 Mass Rebuild

* Fri Apr 09 2021 tv <tv> 3.270.0-1.mga9
+ Revision: 1714225
- update to 3.27

* Tue Feb 18 2020 umeabot <umeabot> 3.260.0-2.mga8
+ Revision: 1538567
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 tv <tv> 3.260.0-1.mga8
+ Revision: 1462197
- update to 3.26

* Thu Sep 26 2019 tv <tv> 3.250.0-1.mga8
+ Revision: 1446654
- update to 3.25

* Sat Oct 20 2018 tv <tv> 3.240.0-1.mga7
+ Revision: 1322782
- update to 3.24

* Thu Sep 20 2018 umeabot <umeabot> 3.220.0-3.mga7
+ Revision: 1287299
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 3.220.0-2.mga7
+ Revision: 1167440
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 3.220.0-1.mga7
+ Revision: 1157114
- new version 3.22

* Sun Jun 19 2016 pterjan <pterjan> 3.180.0-2.mga6
+ Revision: 1035896
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.180.0-1.mga6
+ Revision: 1002334
- update to 3.18

* Sun Jan 10 2016 buchan <buchan> 3.150.0-1.mga6
+ Revision: 920996
- New version 3.15

* Mon Sep 28 2015 sander85 <sander85> 3.120.0-1.mga6
+ Revision: 884859
- update to 3.12

* Thu Aug 13 2015 sander85 <sander85> 3.100.0-1.mga6
+ Revision: 864503
- update to 3.10

* Sun Jul 26 2015 sander85 <sander85> 3.90.0-1.mga6
+ Revision: 857838
- update to 3.09

* Mon Jun 22 2015 sander85 <sander85> 3.80.0-1.mga6
+ Revision: 839043
- update to 3.08

* Mon Dec 22 2014 buchan <buchan> 3.50.0-3.mga5
+ Revision: 804902
- Clean XML::Compile::SOAP::Daemon from META.yml and META.json too

* Mon Dec 22 2014 buchan <buchan> 3.50.0-2.mga5
+ Revision: 804887
- Avoid requiring XML::Compile::SOAP::Daemon

* Mon Dec 22 2014 buchan <buchan> 3.50.0-1.mga5
+ Revision: 804811
- imported package perl-XML-Compile-SOAP

